From 269145486f39c79d4869bd9ecba5b94930489dc5 Mon Sep 17 00:00:00 2001
From: Guillem Jover <guillem@debian.org>
Date: Wed, 2 Jul 2014 17:52:34 +0200
Subject: [PATCH 01/11] po: Fill or add missing Language field

---
 doc/po/ja.po    | 2 +-
 doc/po/pt_BR.po | 2 +-
 po/da.po        | 2 +-
 po/de.po        | 2 +-
 po/eu.po        | 2 +-
 po/gl.po        | 2 +-
 po/he.po        | 1 +
 po/km.po        | 2 +-
 po/ku.po        | 2 +-
 po/mr.po        | 2 +-
 po/nn.po        | 2 +-
 po/zh_CN.po     | 2 +-
 po/zh_TW.po     | 2 +-
 13 files changed, 13 insertions(+), 12 deletions(-)

diff --git a/doc/po/ja.po b/doc/po/ja.po
index f8e3d8a..17433a8 100644
--- a/doc/po/ja.po
+++ b/doc/po/ja.po
@@ -12,7 +12,7 @@ msgstr ""
 "PO-Revision-Date: 2014-04-01 14:00+0200\n"
 "Last-Translator: KURASAWA Nozomu <nabetaro@debian.or.jp>\n"
 "Language-Team: Debian Japanese List <debian-japanese@lists.debian.org>\n"
-"Language: \n"
+"Language: ja\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/doc/po/pt_BR.po b/doc/po/pt_BR.po
index f633ae0..b996fa6 100644
--- a/doc/po/pt_BR.po
+++ b/doc/po/pt_BR.po
@@ -14,7 +14,7 @@ msgstr ""
 "PO-Revision-Date: 2004-09-20 17:02+0000\n"
 "Last-Translator: André Luís Lopes <andrelop@debian.org>\n"
 "Language-Team: <debian-l10n-portuguese@lists.debian.org>\n"
-"Language: \n"
+"Language: pt_BR\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/po/da.po b/po/da.po
index d876a86..56555d1 100644
--- a/po/da.po
+++ b/po/da.po
@@ -14,7 +14,7 @@ msgstr ""
 "PO-Revision-Date: 2013-12-14 23:51+0200\n"
 "Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish <debian-l10n-danish@lists.debian.org>\n"
-"Language: \n"
+"Language: da\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/po/de.po b/po/de.po
index 54516d6..ea80bfc 100644
--- a/po/de.po
+++ b/po/de.po
@@ -14,7 +14,7 @@ msgstr ""
 "PO-Revision-Date: 2012-06-27 10:55+0200\n"
 "Last-Translator: Holger Wansing <linux@wansing-online.de>\n"
 "Language-Team: Debian German <debian-l10n-german@lists.debian.org>\n"
-"Language: \n"
+"Language: de\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/po/eu.po b/po/eu.po
index f3a5f93..ba0eef9 100644
--- a/po/eu.po
+++ b/po/eu.po
@@ -11,7 +11,7 @@ msgstr ""
 "PO-Revision-Date: 2009-05-17 00:41+0200\n"
 "Last-Translator: Piarres Beobide <pi@beobide.net>\n"
 "Language-Team: Euskara <debian-l10n-basque@lists.debian.org>\n"
-"Language: \n"
+"Language: eu\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/po/gl.po b/po/gl.po
index d1e35cf..cd140fe 100644
--- a/po/gl.po
+++ b/po/gl.po
@@ -14,7 +14,7 @@ msgstr ""
 "PO-Revision-Date: 2011-05-12 15:28+0100\n"
 "Last-Translator: Miguel Anxo Bouzada <mbouzada@gmail.com>\n"
 "Language-Team: galician <proxecto@trasno.net>\n"
-"Language: \n"
+"Language: gl\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/po/he.po b/po/he.po
index b70ae3b..e89cff8 100644
--- a/po/he.po
+++ b/po/he.po
@@ -10,6 +10,7 @@ msgstr ""
 "POT-Creation-Date: 2010-01-01 19:13+0100\n"
 "PO-Revision-Date: 2004-06-10 19:58+0300\n"
 "Last-Translator: Lior Kaplan <webmaster@guides.co.il>\n"
+"Language: he\n"
 "Language-Team: Hebrew\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
diff --git a/po/km.po b/po/km.po
index d55f32e..4c38e31 100644
--- a/po/km.po
+++ b/po/km.po
@@ -14,7 +14,7 @@ msgstr ""
 "PO-Revision-Date: 2006-10-10 09:48+0700\n"
 "Last-Translator: Khoem Sokhem <khoemsokhem@khmeros.info>\n"
 "Language-Team: Khmer <support@khmeros.info>\n"
-"Language: \n"
+"Language: km\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/po/ku.po b/po/ku.po
index ff0d703..abcd9d2 100644
--- a/po/ku.po
+++ b/po/ku.po
@@ -12,7 +12,7 @@ msgstr ""
 "PO-Revision-Date: 2008-05-08 12:48+0200\n"
 "Last-Translator: Erdal Ronahi <erdal dot ronahi at gmail dot com>\n"
 "Language-Team: ku <ubuntu-l10n-kur@lists.ubuntu.com>\n"
-"Language: \n"
+"Language: ku\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/po/mr.po b/po/mr.po
index 3b98894..dfbfba6 100644
--- a/po/mr.po
+++ b/po/mr.po
@@ -11,7 +11,7 @@ msgstr ""
 "Last-Translator: Sampada <sampadanakhare@gmail.com>\n"
 "Language-Team: Marathi, janabhaaratii, C-DAC, Mumbai, India "
 "<janabhaaratii@cdacmumbai.in>\n"
-"Language: \n"
+"Language: mr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/po/nn.po b/po/nn.po
index 68a930e..e9ecb43 100644
--- a/po/nn.po
+++ b/po/nn.po
@@ -13,7 +13,7 @@ msgstr ""
 "PO-Revision-Date: 2005-02-14 23:30+0100\n"
 "Last-Translator: Havard Korsvoll <korsvoll@skulelinux.no>\n"
 "Language-Team: Norwegian nynorsk <i18n-nn@lister.ping.uio.no>\n"
-"Language: \n"
+"Language: nn\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/po/zh_CN.po b/po/zh_CN.po
index 23a1e4c..1cb0291 100644
--- a/po/zh_CN.po
+++ b/po/zh_CN.po
@@ -13,7 +13,7 @@ msgstr ""
 "PO-Revision-Date: 2010-08-26 14:42+0800\n"
 "Last-Translator: Aron Xu <happyaron.xu@gmail.com>\n"
 "Language-Team: Chinese (simplified) <i18n-zh@googlegroups.com>\n"
-"Language: \n"
+"Language: zh_CN\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --git a/po/zh_TW.po b/po/zh_TW.po
index 2d5b08f..7878ee3 100644
--- a/po/zh_TW.po
+++ b/po/zh_TW.po
@@ -13,7 +13,7 @@ msgstr ""
 "Last-Translator: Tetralet <tetralet@gmail.com>\n"
 "Language-Team: Debian-user in Chinese [Big5] <debian-chinese-big5@lists."
 "debian.org>\n"
-"Language: \n"
+"Language: zh_TW\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-- 
2.0.1