From 0615a0458ba839ec6518d36ef78c8406ec1edfc0 Mon Sep 17 00:00:00 2001
From: Guillem Jover <guillem@debian.org>
Date: Fri, 4 Jul 2014 08:03:31 +0200
Subject: [PATCH 03/11] po: Fill Project-Id-Version with correct project id and
 version

---
 doc/po/es.po    | 2 +-
 doc/po/fr.po    | 2 +-
 doc/po/it.po    | 2 +-
 doc/po/ja.po    | 2 +-
 doc/po/pl.po    | 2 +-
 doc/po/pt.po    | 2 +-
 doc/po/pt_BR.po | 2 +-
 po/ar.po        | 2 +-
 po/cs.po        | 2 +-
 po/cy.po        | 2 +-
 po/da.po        | 2 +-
 po/dz.po        | 2 +-
 po/el.po        | 2 +-
 po/eu.po        | 2 +-
 po/fr.po        | 2 +-
 po/gl.po        | 2 +-
 po/hu.po        | 2 +-
 po/it.po        | 2 +-
 po/km.po        | 2 +-
 po/ko.po        | 2 +-
 po/ku.po        | 2 +-
 po/lt.po        | 2 +-
 po/mr.po        | 2 +-
 po/nb.po        | 2 +-
 po/ne.po        | 2 +-
 po/nn.po        | 2 +-
 po/pt.po        | 2 +-
 po/pt_BR.po     | 2 +-
 po/ro.po        | 2 +-
 po/sk.po        | 2 +-
 po/sv.po        | 2 +-
 po/th.po        | 2 +-
 po/tl.po        | 2 +-
 po/tr.po        | 2 +-
 po/uk.po        | 2 +-
 po/zh_TW.po     | 2 +-
 36 files changed, 36 insertions(+), 36 deletions(-)

diff --git a/doc/po/es.po b/doc/po/es.po
index 7a2abcf..d8be044 100644
--- a/doc/po/es.po
+++ b/doc/po/es.po
@@ -36,7 +36,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt 0.9.7.1\n"
+"Project-Id-Version: apt-doc 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2014-04-01 14:00+0200\n"
diff --git a/doc/po/fr.po b/doc/po/fr.po
index efb94fb..c7e44ac 100644
--- a/doc/po/fr.po
+++ b/doc/po/fr.po
@@ -8,7 +8,7 @@
 # Christian Perrier <bubulle@debian.org>, 2009, 2010, 2011, 2012, 2013.
 msgid ""
 msgstr ""
-"Project-Id-Version: \n"
+"Project-Id-Version: apt-doc 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2014-04-01 14:00+0200\n"
diff --git a/doc/po/it.po b/doc/po/it.po
index 8726bca..5d03d3e 100644
--- a/doc/po/it.po
+++ b/doc/po/it.po
@@ -8,7 +8,7 @@
 # Beatrice Torracca <beatricet@libero.it>, 2012, 2014.
 msgid ""
 msgstr ""
-"Project-Id-Version: \n"
+"Project-Id-Version: apt-doc 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2014-04-01 14:00+0200\n"
diff --git a/doc/po/ja.po b/doc/po/ja.po
index 17433a8..8ee5abe 100644
--- a/doc/po/ja.po
+++ b/doc/po/ja.po
@@ -6,7 +6,7 @@
 # KURASAWA Nozomu, 2003-2006, 2009-2012.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt 0.7.25.3\n"
+"Project-Id-Version: apt-doc 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2014-04-01 14:00+0200\n"
diff --git a/doc/po/pl.po b/doc/po/pl.po
index 2849d19..d639d95 100644
--- a/doc/po/pl.po
+++ b/doc/po/pl.po
@@ -9,7 +9,7 @@
 # Robert Luberda <robert@debian.org> 2000-2004, 2010, 2012.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt 0.9.7.3\n"
+"Project-Id-Version: apt-doc 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2014-04-01 13:59+0200\n"
diff --git a/doc/po/pt.po b/doc/po/pt.po
index f32da9b..86d3d14 100644
--- a/doc/po/pt.po
+++ b/doc/po/pt.po
@@ -5,7 +5,7 @@
 # Américo Monteiro <a_monteiro@netcabo.pt>, 2009, 2010, 2012.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt 0.9.7.1\n"
+"Project-Id-Version: apt-doc 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2014-04-01 13:59+0200\n"
diff --git a/doc/po/pt_BR.po b/doc/po/pt_BR.po
index c3921a7..af5abe3 100644
--- a/doc/po/pt_BR.po
+++ b/doc/po/pt_BR.po
@@ -7,7 +7,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt-doc 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2004-09-20 17:02+0000\n"
diff --git a/po/ar.po b/po/ar.po
index e7c5ce7..e042688 100644
--- a/po/ar.po
+++ b/po/ar.po
@@ -4,7 +4,7 @@
 # Ossama M. Khayat <okhayat@yahoo.com>, 2005, 2006.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt_po\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2006-10-20 21:28+0300\n"
diff --git a/po/cs.po b/po/cs.po
index 002ea6f..337f2d7 100644
--- a/po/cs.po
+++ b/po/cs.po
@@ -5,7 +5,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2012-07-08 13:46+0200\n"
diff --git a/po/cy.po b/po/cy.po
index 2eef869..49a882c 100644
--- a/po/cy.po
+++ b/po/cy.po
@@ -4,7 +4,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: APT\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2005-06-06 13:46+0100\n"
diff --git a/po/da.po b/po/da.po
index 56555d1..0eecf6d 100644
--- a/po/da.po
+++ b/po/da.po
@@ -8,7 +8,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2013-12-14 23:51+0200\n"
diff --git a/po/dz.po b/po/dz.po
index 0f21c3a..ed3c14f 100644
--- a/po/dz.po
+++ b/po/dz.po
@@ -4,7 +4,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt_po.pot\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2006-09-19 09:49+0530\n"
diff --git a/po/el.po b/po/el.po
index 4800e41..a5df03b 100644
--- a/po/el.po
+++ b/po/el.po
@@ -14,7 +14,7 @@
 # Θανάσης Νάτσης <natsisthanasis@gmail.com>, 2012.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt_po_el\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2008-08-26 18:25+0300\n"
diff --git a/po/eu.po b/po/eu.po
index ba0eef9..fe72f00 100644
--- a/po/eu.po
+++ b/po/eu.po
@@ -5,7 +5,7 @@
 # Piarres Beobide <pi@beobide.net>, 2005, 2006, 2007, 2008, 2009.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt_po_eu\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2009-05-17 00:41+0200\n"
diff --git a/po/fr.po b/po/fr.po
index 5a00a48..76f19b7 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -6,7 +6,7 @@
 # Christian Perrier <bubulle@debian.org>, 2004-2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013.
 msgid ""
 msgstr ""
-"Project-Id-Version: fr\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2013-08-17 07:57+0200\n"
diff --git a/po/gl.po b/po/gl.po
index cd140fe..65a2b13 100644
--- a/po/gl.po
+++ b/po/gl.po
@@ -8,7 +8,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt_po_gl\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2011-05-12 15:28+0100\n"
diff --git a/po/hu.po b/po/hu.po
index 9ee5c54..005b6e7 100644
--- a/po/hu.po
+++ b/po/hu.po
@@ -5,7 +5,7 @@
 # Gabor Kelemen <kelemeng at gnome dot hu>, 2004, 2005, 2011, 2012.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt trunk\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2012-06-25 17:09+0200\n"
diff --git a/po/it.po b/po/it.po
index 77a878e..8697e39 100644
--- a/po/it.po
+++ b/po/it.po
@@ -6,7 +6,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2014-05-31 17:04+0100\n"
diff --git a/po/km.po b/po/km.po
index 4c38e31..5efdef7 100644
--- a/po/km.po
+++ b/po/km.po
@@ -8,7 +8,7 @@
 # Khoem Sokhem <khoemsokhem@khmeros.info>, 2006.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt_po_km\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2006-10-10 09:48+0700\n"
diff --git a/po/ko.po b/po/ko.po
index e82008e..3b41285 100644
--- a/po/ko.po
+++ b/po/ko.po
@@ -3,7 +3,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2010-08-30 02:31+0900\n"
diff --git a/po/ku.po b/po/ku.po
index abcd9d2..ff8639a 100644
--- a/po/ku.po
+++ b/po/ku.po
@@ -6,7 +6,7 @@
 # Erdal Ronahi <erdal dot ronahi at gmail dot com>, 2008.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt-ku\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2008-05-08 12:48+0200\n"
diff --git a/po/lt.po b/po/lt.po
index 5fcfa7d..4e5595e 100644
--- a/po/lt.po
+++ b/po/lt.po
@@ -6,7 +6,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2008-08-02 01:47-0400\n"
diff --git a/po/mr.po b/po/mr.po
index dfbfba6..0ba1df3 100644
--- a/po/mr.po
+++ b/po/mr.po
@@ -4,7 +4,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2008-11-20 23:27+0530\n"
diff --git a/po/nb.po b/po/nb.po
index e417d48..83ebbf1 100644
--- a/po/nb.po
+++ b/po/nb.po
@@ -9,7 +9,7 @@
 # Hans Fredrik Nordhaug <hans@nordhaug.priv.no>, 2003, 2005-2010.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2010-09-01 21:10+0200\n"
diff --git a/po/ne.po b/po/ne.po
index b25b702..7a6b252 100644
--- a/po/ne.po
+++ b/po/ne.po
@@ -4,7 +4,7 @@
 # Shiva Pokharel <pokharelshiva@hotmail.com>, 2006.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt_po\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2006-06-12 14:35+0545\n"
diff --git a/po/nn.po b/po/nn.po
index e9ecb43..65ab0b4 100644
--- a/po/nn.po
+++ b/po/nn.po
@@ -7,7 +7,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt_nn\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2005-02-14 23:30+0100\n"
diff --git a/po/pt.po b/po/pt.po
index 5376bc3..06fccab 100644
--- a/po/pt.po
+++ b/po/pt.po
@@ -5,7 +5,7 @@
 # Miguel Figueiredo <elmig@debianpt.org>, 2005-2012.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2012-06-29 15:45+0100\n"
diff --git a/po/pt_BR.po b/po/pt_BR.po
index d258de1..dda47ec 100644
--- a/po/pt_BR.po
+++ b/po/pt_BR.po
@@ -5,7 +5,7 @@
 # Felipe Augusto van de Wiel (faw) <faw@debian.org>, 2006-2008.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2008-11-17 02:33-0200\n"
diff --git a/po/ro.po b/po/ro.po
index 3eb64a8..5bab8ef 100644
--- a/po/ro.po
+++ b/po/ro.po
@@ -5,7 +5,7 @@
 # Eddy Petrișor <eddy.petrisor@gmail.com>, 2008.
 msgid ""
 msgstr ""
-"Project-Id-Version: ro\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2008-11-15 02:21+0200\n"
diff --git a/po/sk.po b/po/sk.po
index bd20eb3..91c4a04 100644
--- a/po/sk.po
+++ b/po/sk.po
@@ -8,7 +8,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2012-06-28 20:49+0100\n"
diff --git a/po/sv.po b/po/sv.po
index 55b56e6..2ada97b 100644
--- a/po/sv.po
+++ b/po/sv.po
@@ -7,7 +7,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2010-08-24 21:18+0100\n"
diff --git a/po/th.po b/po/th.po
index 1fb6388..0a66fa1 100644
--- a/po/th.po
+++ b/po/th.po
@@ -6,7 +6,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2014-04-20 09:38+0700\n"
diff --git a/po/tl.po b/po/tl.po
index b19833d..8c847fa 100644
--- a/po/tl.po
+++ b/po/tl.po
@@ -8,7 +8,7 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2007-03-29 21:36+0800\n"
diff --git a/po/tr.po b/po/tr.po
index 265b503..788af2d 100644
--- a/po/tr.po
+++ b/po/tr.po
@@ -6,7 +6,7 @@
 # Rosetta Contributors, 2009.
 msgid ""
 msgstr ""
-"Project-Id-Version: apt\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2013-02-18 03:41+0200\n"
diff --git a/po/uk.po b/po/uk.po
index 1c39072..1b6eec9 100644
--- a/po/uk.po
+++ b/po/uk.po
@@ -10,7 +10,7 @@
 # binary = двійковий
 msgid ""
 msgstr ""
-"Project-Id-Version: apt-all\n"
+"Project-Id-Version: apt 1.0.5\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2012-09-25 20:19+0300\n"
diff --git a/po/zh_TW.po b/po/zh_TW.po
index 7878ee3..a21b6b9 100644
--- a/po/zh_TW.po
+++ b/po/zh_TW.po
@@ -6,7 +6,7 @@
 # $Id: zh_TW.po,v 1.11 2004/04/30 04:50:38 mdz Exp $
 msgid ""
 msgstr ""
-"Project-Id-Version: 0.5.4\n"
+"Project-Id-Version: apt 0.5.4\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "POT-Creation-Date: 2014-06-18 14:12+0200\n"
 "PO-Revision-Date: 2009-01-28 10:41+0800\n"
-- 
2.0.1