From a7022f997a14d7475f6c2a31ee2a9b8dfaa09b20 Mon Sep 17 00:00:00 2001
From: Guillem Jover <guillem@debian.org>
Date: Fri, 4 Jul 2014 08:09:16 +0200
Subject: [PATCH 04/11] po: Fix Plural-Forms fields

---
 po/bs.po    | 2 ++
 po/de.po    | 2 +-
 po/fr.po    | 2 +-
 po/ja.po    | 2 +-
 po/km.po    | 1 +
 po/lt.po    | 2 ++
 po/mr.po    | 1 +
 po/nn.po    | 1 +
 po/pt_BR.po | 1 +
 po/ru.po    | 1 -
 po/tr.po    | 2 +-
 11 files changed, 12 insertions(+), 5 deletions(-)

diff --git a/po/bs.po b/po/bs.po
index d561b86..ea773d5 100644
--- a/po/bs.po
+++ b/po/bs.po
@@ -14,6 +14,8 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
+"%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
 
 #: cmdline/apt-cache.cc:149
 #, c-format
diff --git a/po/de.po b/po/de.po
index ea80bfc..903e2c8 100644
--- a/po/de.po
+++ b/po/de.po
@@ -18,7 +18,7 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=n != 1;>\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
 
 #: cmdline/apt-cache.cc:149
 #, c-format
diff --git a/po/fr.po b/po/fr.po
index 76f19b7..739fc2e 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -17,7 +17,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "X-Generator: Lokalize 1.5\n"
-"Plural-Forms: Plural-Forms: nplurals=2; plural=n > 1;\n"
+"Plural-Forms: nplurals=2; plural=n > 1;\n"
 
 #: cmdline/apt-cache.cc:149
 #, c-format
diff --git a/po/ja.po b/po/ja.po
index c1f7a9a..b91eb1d 100644
--- a/po/ja.po
+++ b/po/ja.po
@@ -16,7 +16,7 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8 bit\n"
-"Plural-Forms: Plural-Forms: nplurals=1; plural=0;\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
 
 #: cmdline/apt-cache.cc:149
 #, c-format
diff --git a/po/km.po b/po/km.po
index 5efdef7..f2eb105 100644
--- a/po/km.po
+++ b/po/km.po
@@ -18,6 +18,7 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
 "X-Generator: KBabel 1.11.2\n"
 
 #: cmdline/apt-cache.cc:149
diff --git a/po/lt.po b/po/lt.po
index 4e5595e..a0a708f 100644
--- a/po/lt.po
+++ b/po/lt.po
@@ -16,6 +16,8 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=3; plural=n%10==1 && n%100!=11 ? 0 : n%10>=2 && (n"
+"%100<10 || n%100>=20) ? 1 : 2;\n"
 "X-Launchpad-Export-Date: 2008-08-02 05:04+0000\n"
 
 #: cmdline/apt-cache.cc:149
diff --git a/po/mr.po b/po/mr.po
index 0ba1df3..d43628a 100644
--- a/po/mr.po
+++ b/po/mr.po
@@ -15,6 +15,7 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
 
 #: cmdline/apt-cache.cc:149
 #, c-format
diff --git a/po/nn.po b/po/nn.po
index 65ab0b4..4b4298c 100644
--- a/po/nn.po
+++ b/po/nn.po
@@ -17,6 +17,7 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=n != 1;\n"
 "X-Generator: KBabel 1.9.1\n"
 
 #: cmdline/apt-cache.cc:149
diff --git a/po/pt_BR.po b/po/pt_BR.po
index dda47ec..d159737 100644
--- a/po/pt_BR.po
+++ b/po/pt_BR.po
@@ -16,6 +16,7 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=n > 1;\n"
 
 #: cmdline/apt-cache.cc:149
 #, c-format
diff --git a/po/ru.po b/po/ru.po
index 9c1826b..ee75cb3 100644
--- a/po/ru.po
+++ b/po/ru.po
@@ -24,7 +24,6 @@ msgstr ""
 "X-Generator: Lokalize 1.2\n"
 "Plural-Forms:  nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
 "%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
-"10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
 #: cmdline/apt-cache.cc:149
 #, c-format
diff --git a/po/tr.po b/po/tr.po
index 788af2d..87cc5cf 100644
--- a/po/tr.po
+++ b/po/tr.po
@@ -16,7 +16,7 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=(n>1);\n"
+"Plural-Forms: nplurals=2; plural=n!=1;\n"
 "X-Generator: Poedit 1.5.5\n"
 "X-Launchpad-Export-Date: 2013-02-04 12:16+0000\n"
 
-- 
2.0.1