From c5cae0b4ece16462ce87f433792eef35ec291d77 Mon Sep 17 00:00:00 2001
From: Guillem Jover <guillem@debian.org>
Date: Fri, 4 Jul 2014 00:54:15 +0200
Subject: [PATCH 07/11] po: Fix format specifier order in translation

---
 po/mr.po | 14 +++++++-------
 po/pl.po |  6 +++---
 2 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/po/mr.po b/po/mr.po
index d43628a..c378928 100644
--- a/po/mr.po
+++ b/po/mr.po
@@ -2366,7 +2366,7 @@ msgstr ""
 #: apt-pkg/cdrom.cc:497 apt-pkg/sourcelist.cc:347
 #, c-format
 msgid "Line %u too long in source list %s."
-msgstr "%s स्त्रोत सुचीमध्ये ओळ %u खूप लांब आहे."
+msgstr "%2$s स्त्रोत सुचीमध्ये ओळ %1$u खूप लांब आहे."
 
 #: apt-pkg/cdrom.cc:571
 msgid "Unmounting CD-ROM...\n"
@@ -2608,27 +2608,27 @@ msgstr "स्त्रोत सुची %s (डीआयएसटी पा
 #: apt-pkg/sourcelist.cc:206
 #, c-format
 msgid "Malformed line %lu in source list %s (URI)"
-msgstr "स्त्रोत सुची %s (यूआरआय) मध्ये %lu वाईट/व्यंग रेषा"
+msgstr "स्त्रोत सुची %2$s (यूआरआय) मध्ये %1$lu वाईट/व्यंग रेषा"
 
 #: apt-pkg/sourcelist.cc:208
 #, c-format
 msgid "Malformed line %lu in source list %s (dist)"
-msgstr "स्त्रोत सुची %s (डिआयएसटी) मध्ये %lu वाईट/व्यंग रेषा"
+msgstr "स्त्रोत सुची %2$s (डिआयएसटी) मध्ये %1$lu वाईट/व्यंग रेषा"
 
 #: apt-pkg/sourcelist.cc:211
 #, c-format
 msgid "Malformed line %lu in source list %s (URI parse)"
-msgstr "स्त्रोत सुची %s (यूआरआय पार्स) मध्ये %lu वाईट/व्यंग रेषा"
+msgstr "स्त्रोत सुची %2$s (यूआरआय पार्स) मध्ये %1$lu वाईट/व्यंग रेषा"
 
 #: apt-pkg/sourcelist.cc:217
 #, c-format
 msgid "Malformed line %lu in source list %s (absolute dist)"
-msgstr "स्त्रोत सुची %s (absolute dist) मध्ये %lu वाईट/व्यंग रेषा"
+msgstr "स्त्रोत सुची %2$s (absolute dist) मध्ये %1$lu वाईट/व्यंग रेषा"
 
 #: apt-pkg/sourcelist.cc:224
 #, c-format
 msgid "Malformed line %lu in source list %s (dist parse)"
-msgstr "स्त्रोत सुची %s (डीआयएसटी पार्स) मध्ये %lu वाईट/व्यंग रेषा"
+msgstr "स्त्रोत सुची %2$s (डीआयएसटी पार्स) मध्ये %1$lu वाईट/व्यंग रेषा"
 
 #: apt-pkg/sourcelist.cc:335
 #, c-format
@@ -2638,7 +2638,7 @@ msgstr "%s उघडत आहे"
 #: apt-pkg/sourcelist.cc:371
 #, c-format
 msgid "Malformed line %u in source list %s (type)"
-msgstr "स्त्रोत सुची %s (प्रकार) मध्ये %u वाईट/व्यंग रेषा"
+msgstr "स्त्रोत सुची %2$s (प्रकार) मध्ये %1$u वाईट/व्यंग रेषा"
 
 #: apt-pkg/sourcelist.cc:375
 #, c-format
diff --git a/po/pl.po b/po/pl.po
index 022174b..46a996a 100644
--- a/po/pl.po
+++ b/po/pl.po
@@ -3587,17 +3587,17 @@ msgstr "Nie udało się czytać pliku override %s"
 #: ftparchive/override.cc:166
 #, c-format
 msgid "Malformed override %s line %llu #1"
-msgstr "Nieprawidłowa linia %llu #1 pliku override %s"
+msgstr "Nieprawidłowa linia %2$llu #1 pliku override %1$s"
 
 #: ftparchive/override.cc:178
 #, c-format
 msgid "Malformed override %s line %llu #2"
-msgstr "Nieprawidłowa linia %llu #2 pliku override %s"
+msgstr "Nieprawidłowa linia %2$llu #2 pliku override %1$s"
 
 #: ftparchive/override.cc:191
 #, c-format
 msgid "Malformed override %s line %llu #3"
-msgstr "Nieprawidłowa linia %llu #3 pliku override %s"
+msgstr "Nieprawidłowa linia %2$llu #3 pliku override %1$s"
 
 #: ftparchive/multicompress.cc:73
 #, c-format
-- 
2.0.1